You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     y...@freebsd.org
Last committer: anto...@freebsd.org
Ident:          $FreeBSD: head/science/agrum/Makefile 501241 2019-05-11 
09:36:21Z antoine $
Log URL:        
http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p503433_s348595/logs/agrum-0.15.0.log
Build URL:      
http://thunderx1.nyi.freebsd.org/build.html?mastername=head-arm64-default&build=p503433_s348595
Log:

=>> Building science/agrum
build started at Mon Jun 10 08:35:49 UTC 2019
port directory: /usr/ports/science/agrum
package name: agrum-0.15.0
building for: FreeBSD head-arm64-default-job-02 13.0-CURRENT FreeBSD 
13.0-CURRENT 1300030 arm64
maintained by: y...@freebsd.org
Makefile ident:      $FreeBSD: head/science/agrum/Makefile 501241 2019-05-11 
09:36:21Z antoine $
Poudriere version: 3.2.8-4-g701d8fe1
Host OSVERSION: 1300002
Jail OSVERSION: 1300030
Job Id: 02




!!! Jail is newer than host. (Jail: 1300030, Host: 1300002) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
OSVERSION=1300030
UNAME_v=FreeBSD 13.0-CURRENT 1300030
UNAME_r=13.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-4-g701d8fe1
MASTERMNT=/usr/local/poudriere/data/.m/head-arm64-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/head-arm64-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=head-arm64-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/head-arm64-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for agrum-0.15.0:
     ODBC=off: ODBC database backend
     OPENMP=on: Parallel processing support via OpenMP
     PYTHON=on: Python bindings or support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
y...@freebsd.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PYTHON="/usr/local/bin/python3.6" 
XDG_DATA_HOME=/wrkdirs/usr/ports/science/agrum/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/science/agrum/work  
HOME=/wrkdirs/usr/ports/science/agrum/work TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/science/agrum/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/science/agrum/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/science/agrum/work  
HOME=/wrkdirs/usr/ports/science/agrum/work TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/science/agrum/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
DESTDIR=/wrkdirs/usr/ports/science/agrum/work/stage PREFIX=/usr/local  
LOCALBASE=/usr/local  CC="clang80" CFLAGS="-O2 -pipe  -fstack-protector-strong 
-fno-strict-aliasing "  CPP="clang-cpp80" CPPFLAGS=""  LDFLAGS=" 
-fstack-protector-strong " LIBS=""  CXX="clang++80" CXXFLAGS="-O2 -pipe 
-fstack-protector-strong -fno-strict-aliasing  "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644" 
 BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
ODBC="@comment " NO_ODBC="" OPENMP="" NO_OPENMP="@comment " PYTHON="" 
NO_PYTHON="@comment " PYTHON_VER_MAJ=3 CMAKE_BUILD_TYPE="release" 
PYTHON_INCLUDEDIR=include/python3.6m  PYTHON_LIBDIR=lib/python3.6  
PYTHON_PLATFORM=freebsd13  PYTHON_SITELIBDIR=lib/python3.6/site-packages  
PYTHON_SUFFIX=36  PYTHON_VER=3.6  PYTHON_VERSION=python3.6 PYTHON2="@comment " 
PYTHON3="" OSREL=13.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local 
LIB32DIR=lib DOCSDIR="share/doc/agrum"  EXAMPLESDIR="share/examples/agrum"  
DATADIR="share/agrum"  WWWDIR="www/agrum"  ETCDIR="etc/agrum"
--End PLIST_SUB--

--SUB_LIST--
ODBC="@comment " NO_ODBC="" OPENMP="" NO_OPENMP="@comment " PYTHON="" 
NO_PYTHON="@comment " PREFIX=/usr/local LOCALBASE=/usr/local  
DATADIR=/usr/local/share/agrum DOCSDIR=/usr/local/share/doc/agrum 
EXAMPLESDIR=/usr/local/share/examples/agrum  WWWDIR=/usr/local/www/agrum 
ETCDIR=/usr/local/etc/agrum
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2

# stable/10 includes src.conf too late but make.conf is in sys.mk
.if ${.CURDIR:M/poudriere/jails/10*/usr/src/usr.bin/xlint*}
# Disable build of llib now that head no longer has lint(1)
LINT=   true
.endif
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 8.0.0 (tags/RELEASE_800/final 356365) 
(based on LLVM 8.0.0) Target: aarch64-unknown-freebsd13.0 Thread model: posix 
InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 8.0.0 (tags/RELEASE_800/final 
356365) (based on LLVM 8.0.0) Target: aarch64-unknown-freebsd13.0 Thread model: 
posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" 
"/libexec/ld-elf.so.1" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" 
"/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" 
"-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" 
"-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 8.0.0 (tags/RELEASE_800/final 
356365) (based on LLVM 8.0.0) Target: aarch64-unknown-freebsd13.0 Thread model: 
posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=aarch64
OPSYS=FreeBSD
_OSRELEASE=13.0-CURRENT
OSREL=13.0
OSVERSION=1300030
PYTHONBASE=/usr/local
CONFIGURE_MAX_CMD_LEN=262144
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  1048576
stack size              (kbytes, -s)  1048576
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv3 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   agrum-0.15.0 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.11.1.txz
[head-arm64-default-job-02] Installing pkg-1.11.1...
[head-arm64-default-job-02] Extracting pkg-1.11.1: .......... done
===>   agrum-0.15.0 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of agrum-0.15.0
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by agrum-0.15.0 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by agrum-0.15.0 for building
=> SHA256 Checksum OK for 
agrumery-aGrUM-7df29be4ed6146f318aed810d02511a60d8afb2d_GL0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by agrum-0.15.0 for building
===>  Extracting for agrum-0.15.0
=> SHA256 Checksum OK for 
agrumery-aGrUM-7df29be4ed6146f318aed810d02511a60d8afb2d_GL0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for agrum-0.15.0
===>  Applying FreeBSD patches for agrum-0.15.0
===========================================================================
=======================<phase: build-depends  >============================
===>   agrum-0.15.0 depends on executable: clang80 - not found
===>   Installing existing package /packages/All/llvm80-8.0.0_2.txz
[head-arm64-default-job-02] Installing llvm80-8.0.0_2...
[head-arm64-default-job-02] `-- Installing libedit-3.1.20181209_2,1...
[head-arm64-default-job-02] `-- Extracting libedit-3.1.20181209_2,1: .......... 
done
[head-arm64-default-job-02] `-- Installing libxml2-2.9.8...
[head-arm64-default-job-02] `-- Extracting libxml2-2.9.8: .......... done
[head-arm64-default-job-02] `-- Installing perl5-5.28.2...
[head-arm64-default-job-02] `-- Extracting perl5-5.28.2: .......... done
[head-arm64-default-job-02] `-- Installing python27-2.7.16_1...
[head-arm64-default-job-02] |   `-- Installing gettext-runtime-0.19.8.1_2...
[head-arm64-default-job-02] |   | `-- Installing indexinfo-0.3.1...
[head-arm64-default-job-02] |   | `-- Extracting indexinfo-0.3.1: .... done
[head-arm64-default-job-02] |   `-- Extracting gettext-runtime-0.19.8.1_2: 
.......... done
[head-arm64-default-job-02] |   `-- Installing libffi-3.2.1_3...
[head-arm64-default-job-02] |   `-- Extracting libffi-3.2.1_3: .......... done
[head-arm64-default-job-02] |   `-- Installing readline-8.0.0...
[head-arm64-default-job-02] |   `-- Extracting readline-8.0.0: .......... done
[head-arm64-default-job-02] `-- Extracting python27-2.7.16_1: .......... done
[head-arm64-default-job-02] Extracting llvm80-8.0.0_2: .......... done
Message from perl5-5.28.2:

The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
Message from python27-2.7.16_1:

===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
===>   agrum-0.15.0 depends on executable: clang80 - found
===>   Returning to build of agrum-0.15.0
===>   agrum-0.15.0 depends on file: /usr/local/bin/cmake - not found
===>   Installing existing package /packages/All/cmake-3.14.5.txz
[head-arm64-default-job-02] Installing cmake-3.14.5...
[head-arm64-default-job-02] `-- Installing curl-7.65.0_3...
[head-arm64-default-job-02] |   `-- Installing ca_root_nss-3.44...
[head-arm64-default-job-02] |   `-- Extracting ca_root_nss-3.44: ........ done
[head-arm64-default-job-02] |   `-- Installing libnghttp2-1.38.0...
[head-arm64-default-job-02] |   `-- Extracting libnghttp2-1.38.0: .......... 
done
[head-arm64-default-job-02] `-- Extracting curl-7.65.0_3: .......... done
[head-arm64-default-job-02] `-- Installing expat-2.2.6_1...
[head-arm64-default-job-02] `-- Extracting expat-2.2.6_1: .......... done
[head-arm64-default-job-02] `-- Installing jsoncpp-1.8.1_6...
[head-arm64-default-job-02] `-- Extracting jsoncpp-1.8.1_6: .......... done
[head-arm64-default-job-02] `-- Installing libarchive-3.3.3,1...
[head-arm64-default-job-02] |   `-- Installing liblz4-1.9.1,1...
[head-arm64-default-job-02] |   `-- Extracting liblz4-1.9.1,1: .......... done
[head-arm64-default-job-02] |   `-- Installing lzo2-2.10_1...
[head-arm64-default-job-02] |   `-- Extracting lzo2-2.10_1: .......... done
[head-arm64-default-job-02] `-- Extracting libarchive-3.3.3,1: .......... done
[head-arm64-default-job-02] `-- Installing libuv-1.29.1...
[head-arm64-default-job-02] `-- Extracting libuv-1.29.1: .......... done
[head-arm64-default-job-02] `-- Installing rhash-1.3.5...
[head-arm64-default-job-02] `-- Extracting rhash-1.3.5: .......... done
[head-arm64-default-job-02] Extracting cmake-3.14.5: .......... done
Message from ca_root_nss-3.44:

********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
===>   agrum-0.15.0 depends on file: /usr/local/bin/cmake - found
===>   Returning to build of agrum-0.15.0
===>   agrum-0.15.0 depends on executable: ninja - not found
===>   Installing existing package /packages/All/ninja-1.9.0,2.txz
[head-arm64-default-job-02] Installing ninja-1.9.0,2...
[head-arm64-default-job-02] `-- Installing python36-3.6.8_2...
[head-arm64-default-job-02] `-- Extracting python36-3.6.8_2: .......... done
[head-arm64-default-job-02] Extracting ninja-1.9.0,2: ......... done
Message from python36-3.6.8_2:

===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

py36-gdbm       databases/py-gdbm@py36
py36-sqlite3    databases/py-sqlite3@py36
py36-tkinter    x11-toolkits/py-tkinter@py36

===========================================================================
===>   agrum-0.15.0 depends on executable: ninja - found
===>   Returning to build of agrum-0.15.0
===>   agrum-0.15.0 depends on file: /usr/local/bin/python3.6 - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   agrum-0.15.0 depends on shared library: libomp.so - not found
===>   Installing existing package /packages/All/llvm80-8.0.0_2.txz
[head-arm64-default-job-02] Installing llvm80-8.0.0_2...
the most recent version of llvm80-8.0.0_2 is already installed
===>   agrum-0.15.0 depends on shared library: libomp.so - not found
*** Error code 1

Stop.
make: stopped in /usr/ports/science/agrum
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to